Problema al actualizar a la versión 4.0.5

Post Reply
genesis2005
OTRS newbie
Posts: 22
Joined: 06 Dec 2013, 20:10
OTRS Version?: 5.0.8
Real Name: Edwin
Company: FINANZAS

Problema al actualizar a la versión 4.0.5

Post by genesis2005 »

Estimados amigos, siempre es muy grato pedirles apoyo ya que siempre estan en la mejor disposición para apoyarnos, les comento tengo un problema bien serio, al actualziarme de la versión 3.3.9 a la versión 4.0.5 me esta dando el siguiente problema

Table 'otrs.system_maintenance' doesn't exist, SQL: '
Table 'otrs.personal_services' doesn't exist, SQL: '

leí en un post que se debian de correr otra ves los archivos .sql y .pl

pero no decia cual asi que corri los siguientes

bin/otrs.CheckDB.pl ***** Corrio exitoso
cat scripts/DBUpdate-to-4.mysql.sql | mysql -p -f -u root otrs ***** Dio un error

**********************error que dio****************************************
INFO: Foreign key constraint FK_ticket_valid_id_id does not exist, skipping.
INFO: Foreign key constraint FK_ticket_valid_id_id does not exist, skipping.
INFO: Foreign key constraint FK_ticket_history_valid_id_id does not exist, skipping.
INFO: Foreign key constraint FK_ticket_history_valid_id_id does not exist, skipping.

Estoy usando MySql y Centos 6.5

Si me pueden apoyar se los agradeceria ya que ha visto que algunos tambien tienen este mismo problema

klausneil
OTRS ninja
Posts: 658
Joined: 29 May 2012, 22:47
OTRS Version?: 6.0.16
Real Name: Klaus Salazar
Company: SLP
Location: Perú

Re: Problema al actualizar a la versión 4.0.5

Post by klausneil »

Para realizar un upgrade de otrs debe ser de manera incrmentan y no puede ser directamente de un 3.1 al 4.0.3 (https://otrs.github.io/doc/manual/admin ... ading.html)
If you are running a lower version of OTRS you have to follow the upgrade path to 3.3 first (1.1->1.2->1.3->2.0->2.1->2.2->2.3->2.4->3.0->3.1->3.2->3.3)! You need to perform a full upgrade to every version in between, including database changes and the upgrading perl script.

Post Reply